frame .control_panel.run_frame -borderwidth 0 -width 130

button .control_panel.run_frame.run -text "Run" -font button_font -command {
  send_environment_cmd \
    "update [get_handler_name .control_panel.run_frame.run] \
       (lambda (x) \
          (unwind-protect \
             (unless *running-actr* \
              (setf *running-actr* t) \
              (pm-run $run_button_time) \
              (setf *running-actr* nil)) \
             (setf *running-actr* nil)))"
}                    

entry .control_panel.run_frame.run_time -width 6 -font text_font \
      -textvariable run_button_time -justify right

.control_panel.run_frame.run_time insert 0 "10.0"

pack .control_panel.run_frame.run -side left
pack .control_panel.run_frame.run_time -side right

pack .control_panel.run_frame

send_environment_cmd \
  "create simple-handler .control_panel.run_frame.run ignore_returns \
    (lambda (x)) ()"

bind .control_panel.run_frame.run <Destroy> {
  remove_handler %W
}

