
# This file contains all of the font settings that I will use for createing
# the dialogs.  By setting things this way I hope to accomplish 2 things.
# First, it should make the dialogs look very similar on all platforms, and
# second it should allow easy configuration by end users through a dialog
# because it could just write a 'font configure X' line to the config file. 


font create intro_s_font -family helvetica -size 12 -weight bold -slant roman \
                  -underline 0 -overstrike 0

font create intro_l_font -family helvetica -size 18 -weight bold -slant roman \
                  -underline 0 -overstrike 0

font create button_font -family helvetica -size 12 -weight normal -slant roman \
                  -underline 0 -overstrike 0

font create label_font -family times -size 14 -weight bold -slant roman \
                  -underline 0 -overstrike 0

font create list_font -family times -size 14 -weight normal -slant roman \
                  -underline 0 -overstrike 0

font create text_font -family courier -size 14 -weight normal -slant roman \
                  -underline 0 -overstrike 0

font create edit_font -family courier -size 14 -weight normal -slant roman \
                  -underline 0 -overstrike 0

font create checkbox_font -family times -size 12 -weight normal -slant roman \
                  -underline 0 -overstrike 0

font create env_window_font -family courier -size 12 -weight normal \
                  -slant roman -underline 0 -overstrike 0

font create menu_font -family helvetica -size 12 -weight normal -slant roman \
                  -underline 0 -overstrike 0

font create graphic_trace_font -family courier -size 12 -weight normal -slant roman \
                  -underline 0 -overstrike 0